org.wildfly.swarm.config

## Class Mail<T extends Mail<T>>

- java.lang.Object
- - org.wildfly.swarm.config.Mail<T>

- Direct Known Subclasses:
    MailFraction

      public class Mail<T extends Mail<T>>
      extends Object

  The mail subsystem

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Mail.MailResources` Child mutators for Mail

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `T` | `mailSession(MailSession value)` Add the MailSession object to the list of subresources
    `T` | `mailSession(MailSessionSupplier supplier)` Install a supplied MailSession object to the list of subresources
    `T` | `mailSession(String childKey)` Create and configure a MailSession object to the list of subresources
    `T` | `mailSession(String childKey, MailSessionConsumer consumer)` Create and configure a MailSession object to the list of subresources
    `T` | `mailSessions(List<MailSession> value)` Add all MailSession objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Mail.MailResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mail

          public Mail()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public Mail.MailResources subresources()

    - #### mailSessions

          public T mailSessions(List<MailSession> value)

      Add all MailSession objects to this subresource
      Parameters:
        `value` - List of MailSession objects.
      Returns:
        this

    - #### mailSession

          public T mailSession(MailSession value)

      Add the MailSession object to the list of subresources
      Parameters:
        `value` - The MailSession to add
      Returns:
        this

    - #### mailSession

          public T mailSession(String childKey,
                               MailSessionConsumer consumer)

      Create and configure a MailSession object to the list of subresources
      Parameters:
        `key` - The key for the MailSession resource
        `config` - The MailSessionConsumer to use
      Returns:
        this

    - #### mailSession

          public T mailSession(String childKey)

      Create and configure a MailSession object to the list of subresources
      Parameters:
        `key` - The key for the MailSession resource
      Returns:
        this

    - #### mailSession

          public T mailSession(MailSessionSupplier supplier)

      Install a supplied MailSession object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.